Subject: Re: [JGIT PATCH 10/10] BROKEN TEST: ObjectLoader stays valid across repacks

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 22 Apr 2009 16:02:20 -0700

Robin Rosenberg <[email-masked]> wrote:
> tisdag 21 april 2009 03:21:12 skrev "Shawn O. Pearce" <[email-masked]>:
> > This doesn't doesn't work.
> > 
> > What we are trying to verify is that an ObjectLoader remains valid
> > if the underlying storage for the object has moved, such as when a
> > repository is repacked, the old pack was deleted, and the object is
> > now in the new pack.
> 
> So, I had an idea and started hacking [...]

Yea, I also have an idea.  I'm working up a patch series that should
fix this bug.  I'll post it later this evening once its complete
and passes tests.

-- 
Shawn.